# $Revision: 1.94 $, $Date: 2010/06/06 08:37:14 $
#
# TODO: GtkHTML, Bonobo and Mozilla (don't build now - need fixes or API update)
#
# Conditional build:
%bcond_with	tests		# perform "make test" (require valid DISPLAY)
%bcond_with	gtkhtml		# build Gtk::HTML module (gtkhtml library)
%bcond_with	applets		# build Gnome::Applet module (gnome-applets libs) [NFY]
%bcond_without	gdkimlib	# don't build Gtk::Gdk::ImlibImage module (imlib library)
%bcond_without	gdk_pixbuf	# don't build Gtk::Gdk::Pixbuf module (gdk-pixbuf library)
%bcond_without	glade		# don't build Gtk::GladeXML module (libglade library)
%bcond_without	gnome		# don't build Gnome module (and other requiring gnome-libs)
%bcond_with	gnomeall	# as above, including Gtk::XmHTML (gtkxmhtml GNOME1 component)
%bcond_without	gnomeprint	# don't build Gnome::Print module (gnome-print library)
%bcond_without	gtkglarea	# don't build Gtk::GLArea module (gtkglarea library)
%bcond_without	gtkxmhtml	# don't build Gtk::XmHTML module (gtkxmhtml library)
#
%if %{without gnomeall}
%undefine	with_gnome
%undefine	with_gtkxmhtml
%endif
#
%if %{without gnome}
%undefine	with_applets
%undefine	with_gnomeprint
%endif
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Gtk
%define		pnam	Perl
Summary:	Perl extensions for GTK+ (the Gimp ToolKit)
Summary(cs.UTF-8):	Rozšíření Perlu pro GTK+ (Gimp ToolKit)
Summary(da.UTF-8):	Perl udvidelser for GTK+
Summary(de.UTF-8):	Perl-Erweiterungen für GTK+ (das Gimp ToolKit)
Summary(es.UTF-8):	Extensiones Perl para GTK+
Summary(fr.UTF-8):	Extensions Perl pour GTK+ (l'ensemble d'outils GIMP)
Summary(it.UTF-8):	Estensioni Perl per GTK+ (Gimp Toolkit)
Summary(ja.UTF-8):	GTK+ (the Gimp ToolKit) 用の Perl 拡張
Summary(nb.UTF-8):	Perlmodul for GTk+
Summary(pl.UTF-8):	Rozszerzenie Perla dla GTK+
Summary(pt.UTF-8):	Uma extensão de Perl para o GTK+ (Gimp Toolkit)
Summary(pt_BR.UTF-8):	Extensões Perl para o GTK+
Summary(ru.UTF-8):	Расширенная версия Perl для GTK+ (Gimp Toolkit)
Summary(sl.UTF-8):	Perlovske razširitve za GTK+ (Gimp ToolKit)
Summary(sv.UTF-8):	Perl-utvidgning för GTK+ (the Gimp ToolKit)
Name:		perl-gtk
Version:	0.7009
Release:	12
# same as perl or LGPL
License:	LGPL or GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	72ce462caa1afe57d60a8e654d63204b
Patch0:		%{name}-fix.patch
Patch1:		%{name}-gtkgl.patch
Patch2:		%{name}-inc.patch
URL:		http://www.gtkperl.org/
%{?with_applets:BuildRequires:	control-center-devel < 1.99}
%{?with_gdk_pixbuf:BuildRequires:	gdk-pixbuf-devel}
%{?with_applets:BuildRequires:	gnome-core-devel}
%{?with_gnome:BuildRequires:	gnome-libs-devel}
%{?with_gnomeprint:BuildRequires:	gnome-print-devel}
BuildRequires:	gtk+-devel >= 1.2.0
%{?with_gtkglarea:BuildRequires:	gtkglarea1-devel < 1.99}
%{?with_gtkhtml:BuildRequires:		gtkhtml-devel}
%{?with_gtkxmhtml:BuildRequires:	gtkxmhtml-devel}
%{?with_gdkimlib:BuildRequires:	imlib-devel}
%{?with_glade:BuildRequires:	libglade-devel < 1:1.99}
# not sure if no bcond for that dep below is needed
# but without that build fails on missing X11/Intristic.h
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-Writer
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	Gtk-perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes Perl extensions for GTK+ (the Gimp ToolKit), a
library used for creating graphical user interfaces for the X Window
System. The extensions provided in this package allow you to write
graphical interfaces using Perl and GTK+. If you install this package,
you'll need to also have Perl and GTK+ installed.

%description -l cs.UTF-8
Balíček obsahuje rozšíření Perlu o GTK+ (Gimp ToolKit), které umožňuje
vytvářet grafická uživatelská rozhraní pro prostředí X Window System.
Balíček potřebuje pro svou funkci Perl a GTK+.

%description -l da.UTF-8
Denne pakke indeholder Perl-moduler for GTK+, et bibliotek som bruges
for at lave grafiske grænseflade for X. Modulerne i denne pakke gør
det mulig at lave grafiske programmer ved hjælp af Perl og GTK+. For
at kunne installere denne pakke skal både Perl og GTK+ være
installeret.

%description -l de.UTF-8
Dieses Paket enthält Perl-Erweiterungen für GTK+ (das Gimp-ToolKit),
eine Bibliothek, die für die Erzeugung von grafischen
Benutzeroberflächen für das X Window-System verwendet wird. Die in
diesem Paket enthaltenen Erweiterungen ermöglichen es Ihnen, grafische
Schnittstellen mithilfe von Perl und GTK+ zu schreiben. Wenn Sie
dieses Paket installieren, müssen auch Perl und GTK+ installiert sein.

%description -l es.UTF-8
Este paquete incluye las extensiones de Perl para GTK+ (El Kit de
herramientas de Gimp), una biblioteca usada para crear interfaces
gráficos de usuario para el Sistema X Window. Las extensiones
proporcionadas en este paquete le permiten escribir interfaces
gráficos usando Perl y GTK+. Si instala este paquete, necesitará tener
instalados también Perl y GTK+.

%description -l fr.UTF-8
Ce paquetage contient des extensions Perl pour GTK+ (ensemble d'outils
GIMP), une bibliothèque utilisée pour créer des interfaces utilisateur
graphiques pour le système X Window. Les extensions fournies dans ce
paquetage vous permettent de créer des interfaces graphiques à l'aide
de Perl et GTK+. Si vous installez ce paquetage, vous devrez aussi
installer Perl et GTK+.

%description -l it.UTF-8
Questo pacchetto include le estensioni Perl per GTK+ (Gimp Toolkit);
una libreria utilizzata per creare interfaccia utente grafiche per il
Sistema X Window. L'estensione fornita in questo pacchetto vi consente
di creare interfacce grafiche usando Perl e GTK+. Con questo
pacchetto; sara necessario installare anche Perl e GTK+.

%description -l ja.UTF-8
このパッケージには、GTK+ (Gimp ToolKit) 用の Perl エクステンション、 X
Window System 用のグラフィカルユーザーインターフェイスを作成するために
使用されるライブラリが含まれています。このパッケージに入っている
エクステンションによって、Perl と GTK+
を使ってグラフィカルインターフェイス
を作成することができます。このパッケージをインストールする場合は、
Perl と GTK+ もインストールしなければなりません。

%description -l nb.UTF-8
Denne pakken inneholder Perl-moduler for GTK+, et bibliotek som brukes
for å lage grafiske grensesnitt for X. Modulene i denne pakken gjør
det mulig å lage grafiske programmer ved hjelp av Perl og GTK+. For å
kunne installere denne pakken må både Perl og GTK+ være installert.

%description -l pl.UTF-8
GTK+-perl pozwala na pisanie interfejsu graficznego przy użyciu Perla
i GTK+.

%description -l pt_BR.UTF-8
Este pacote contém extensões Perl para o GTK+.

%description -l sv.UTF-8
Detta paket innehåller Perlutvidgningar för GTK+ (verktygslådan Gimp),
ett bibliotek använt för att skapa grafiska användargränssnitt för X.
Utvidgningen som tillhandahålls i detta paket låter dig skapa grafiska
gränssnitt med Perl och GTK+. Om du installerar detta paket behöver du
även ha Perl och GTK+ installerade.

%package Gdk-ImlibImage
Summary:	Imlib support for perl-gtk
Summary(pl.UTF-8):	Obsługa Imlib dla perl-gtk
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description Gdk-ImlibImage
Gtk::Gdk::ImlibImage module - Imlib library support for perl-gtk.

%description Gdk-ImlibImage -l pl.UTF-8
Moduł Gtk::Gdk::ImlibImage - obsługa biblioteki Imlib dla perl-gtk.

%package Gdk-Pixbuf
Summary:	Gdk-Pixbuf support for perl-gtk
Summary(pl.UTF-8):	Obsługa Gdk-Pixbuf dla perl-gtk
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description Gdk-Pixbuf
Gtk::Gdk::Pixbuf module - Gdk-Pixbuf library support for perl-gtk.

%description Gdk-Pixbuf -l pl.UTF-8
Moduł Gtk::Gdk::Pixbuf - obsługa biblioteki Gdk-Pixbuf dla perl-gtk.

%package GLArea
Summary:	Gtk-GLArea support for perl-gtk
Summary(pl.UTF-8):	Obsługa Gtk-GLArea dla perl-gtk
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description GLArea
Gtk::GLArea module - Gtk-GLArea library support for perl-gtk.

%description GLArea -l pl.UTF-8
Moduł Gtk::GLArea - obsługa biblioteki Gtk-GLArea dla perl-gtk.

%package GladeXML
Summary:	libglade support for perl-gtk
Summary(pl.UTF-8):	Obsługa libglade dla perl-gtk
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description GladeXML
Gtk::GladeXML module - libglade library support for perl-gtk.

%description GladeXML -l pl.UTF-8
Moduł Gtk::GladeXML - obsługa biblioteki libglade dla perl-gtk.

%package XmHTML
Summary:	XmHTML support for perl-gtk
Summary(pl.UTF-8):	Obsługa XmHTML dla perl-gtk
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description XmHTML
Gtk::XmHTML module - gtkxmhtml library support for perl-gtk.

%description XmHTML -l pl.UTF-8
Moduł Gtk::XmHTML - obsługa biblioteki gtkxmhtml dla perl-gtk.

%package HTML
Summary:	gtkhtml support for perl-gtk
Summary(pl.UTF-8):	Obsługa gtkhtml dla perl-gtk
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description HTML
Gtk::HTML module - gtkhtml library support for perl-gtk.

%description HTML -l pl.UTF-8
Moduł Gtk::HTML - obsługa biblioteki gtkhtml dla perl-gtk.

%package -n perl-gnome
Summary:	Perl extensions for GNOME
Summary(cs.UTF-8):	Rozšíření Perlu pro GNOME
Summary(da.UTF-8):	Perl udvidelser for GNOME
Summary(de.UTF-8):	Perl-Erweiterungen für GNOME
Summary(es.UTF-8):	Extensiones Perl para GNOME
Summary(fr.UTF-8):	Extensions Perl pour GNOME
Summary(it.UTF-8):	Estensioni Perl per GNOME
Summary(ja.UTF-8):	GNOME 用の Perl 拡張
Summary(nb.UTF-8):	Perlmodul for GNOME
Summary(pl.UTF-8):	Rozszerzenie Perla dla GNOME
Summary(pt.UTF-8):	Uma extensão de Perl para o GNOME
Summary(pt_BR.UTF-8):	Extensões Perl para o GNOME
Summary(ru.UTF-8):	Расширенная версия Perl для GNOME
Summary(sl.UTF-8):	Perlovske razširitve za GNOME
Summary(sv.UTF-8):	Perl-utvidgning för GNOME
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-Gdk-ImlibImage = %{version}-%{release}

%description -n perl-gnome
This package includes Perl extensions for GNOME.

%description -n perl-gnome -l pl.UTF-8
Ten pakiet zawiera rozszerzenia Perla dla GNOME.

%package -n perl-gnome-Print
Summary:	Perl extensions for GnomePrint
Summary(cs.UTF-8):	Rozšíření Perlu pro GnomePrint
Summary(da.UTF-8):	Perl udvidelser for GnomePrint
Summary(de.UTF-8):	Perl-Erweiterungen für GnomePrint
Summary(es.UTF-8):	Extensiones Perl para GnomePrint
Summary(fr.UTF-8):	Extensions Perl pour GnomePrint
Summary(it.UTF-8):	Estensioni Perl per GnomePrint
Summary(ja.UTF-8):	GnomePrint 用の Perl 拡張
Summary(nb.UTF-8):	Perlmodul for GnomePrint
Summary(pl.UTF-8):	Rozszerzenie Perl dla GnomePrint
Summary(pt.UTF-8):	Uma extensão de Perl para o GnomePrint
Summary(pt_BR.UTF-8):	Extensões Perl para o GnomePrint
Summary(ru.UTF-8):	Расширенная версия Perl для GnomePrint
Summary(sl.UTF-8):	Perlovske razširitve za GnomePrint
Summary(sv.UTF-8):	Perl-utvidgning för GnomePrint
Group:		Development/Languages/Perl
Requires:	%{name}-Gdk-Pixbuf = %{version}-%{release}
Requires:	perl-gnome = %{version}

%description -n perl-gnome-Print
This package includes Perl extensions for GnomePrint.

%description -n perl-gnome-Print -l pl.UTF-8
Ten pakiet zawiera rozszerzenia Perla dla GnomePrint.

%package -n perl-gnome-Applet
Summary:	Applets support for perl-gnome
Summary(pl.UTF-8):	Obsługa apletów dla perl-gnome
Group:		Development/Languages/Perl
Requires:	perl-gnome = %{version}

%description -n perl-gnome-Applet
Gnome::Applet module - applets support for perl-gnome.

%description -n perl-gnome-Applet -l pl.UTF-8
Moduł Gnome::Applet - obsługa apletów dla perl-gnome.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--without-guessing \
%{!?with_gdk_pixbuf:	--without-gdkpixbuf}	%{?with_gdk_pixbuf:	--with-gdkpixbuf-force} \
%{!?with_gdkimlib:	--without-gdkimlib}	%{?with_gdkimlib:	--with-gdkimlib-force} \
%{!?with_glade:		--without-glade}	%{?with_glade:		--with-glade-force} \
%{!?with_gnome:		--without-gnome}	%{?with_gnome:		--with-gnome-force} \
%{!?with_gnomeprint:	--without-gnomeprint}	%{?with_gnomeprint:	--with-gnomeprint-force} \
%{!?with_gtkglarea:	--without-gtkglarea}	%{?with_gtkglarea:	--with-gtkglarea-force} \
%{!?with_gtkhtml:	--without-gtkhtml}	%{?with_gtkhtml:	--with-gtkhtml-force} \
%{!?with_gtkxmhtml:	--without-gtkxmhtml}	%{?with_gtkxmhtml:	--with-gtkxmhtml-force} \
%{!?with_applets:	--without-applets}	%{?with_applets:	--with-applets-force}

%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorarch}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Gtk.pm
%dir %{perl_vendorarch}/Gtk
%{perl_vendorarch}/Gtk/[ACIKLTil]*
%{perl_vendorarch}/Gtk/Gdk.pm
%dir %{perl_vendorarch}/Gtk/Gdk
%dir %{perl_vendorarch}/auto/Gtk
%{perl_vendorarch}/auto/Gtk/Gtk.bs
%{perl_vendorarch}/auto/Gtk/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk/Gtk.so
%dir %{perl_vendorarch}/auto/Gtk/Gdk
%{perl_vendorarch}/auto/Gtk/Gdk/autosplit.ix
%{_mandir}/man3/Gtk.3pm*
%{_mandir}/man3/Gtk::[Ca-z]*.3pm*

%if %{with gdkimlib}
%files Gdk-ImlibImage
%defattr(644,root,root,755)
%{perl_vendorarch}/Gtk/Gdk/ImlibImage.pm
%{perl_vendorarch}/Gtk/Gdk/ImlibImage
%dir %{perl_vendorarch}/auto/Gtk/Gdk/ImlibImage
%{perl_vendorarch}/auto/Gtk/Gdk/ImlibImage/ImlibImage.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk/Gdk/ImlibImage/ImlibImage.so
%{_mandir}/man3/Gtk::Gdk::ImlibImage*
%endif

%if %{with gdk_pixbuf}
%files Gdk-Pixbuf
%defattr(644,root,root,755)
%{perl_vendorarch}/Gtk/Gdk/Pixbuf.pm
%{perl_vendorarch}/Gtk/Gdk/Pixbuf
%dir %{perl_vendorarch}/auto/Gtk/Gdk/Pixbuf
%{perl_vendorarch}/auto/Gtk/Gdk/Pixbuf/Pixbuf.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk/Gdk/Pixbuf/Pixbuf.so
%{_mandir}/man3/Gtk::Gdk::Pixbuf*
%endif

%if %{with gtkglarea}
%files GLArea
%defattr(644,root,root,755)
%{perl_vendorarch}/Gtk/GLArea.pm
%{perl_vendorarch}/Gtk/GLArea
%dir %{perl_vendorarch}/auto/Gtk/GLArea
%{perl_vendorarch}/auto/Gtk/GLArea/GLArea.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk/GLArea/GLArea.so
%dir %{perl_vendorarch}/auto/Gtk/GLArea/Constants
%{perl_vendorarch}/auto/Gtk/GLArea/Constants/autosplit.ix
%endif

%if %{with glade}
%files GladeXML
%defattr(644,root,root,755)
%{perl_vendorarch}/Gtk/GladeXML.pm
%{perl_vendorarch}/Gtk/GladeXML
%dir %{perl_vendorarch}/auto/Gtk/GladeXML
%{perl_vendorarch}/auto/Gtk/GladeXML/autosplit.ix
%{perl_vendorarch}/auto/Gtk/GladeXML/GladeXML.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk/GladeXML/GladeXML.so
%{_mandir}/man3/Gtk::GladeXML*
%endif

%if %{with gtkxmhtml}
%files XmHTML
%defattr(644,root,root,755)
%{perl_vendorarch}/Gtk/XmHTML.pm
%{perl_vendorarch}/Gtk/XmHTML
%dir %{perl_vendorarch}/auto/Gtk/XmHTML
%{perl_vendorarch}/auto/Gtk/XmHTML/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk/XmHTML/*.so
%endif

%if %{with gtkhtml}
%files HTML
%defattr(644,root,root,755)
%{perl_vendorarch}/Gtk/HTML.pm
%{perl_vendorarch}/Gtk/HTML
%dir %{perl_vendorarch}/auto/Gtk/HTML
%{perl_vendorarch}/auto/Gtk/HTML/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk/HTML/*.so
%endif

%if %{with gnome}
%files -n perl-gnome
%defattr(644,root,root,755)
%{perl_vendorarch}/Gnome.pm
%dir %{perl_vendorarch}/Gnome
%{perl_vendorarch}/Gnome/[IT]*
%dir %{perl_vendorarch}/auto/Gnome
%{perl_vendorarch}/auto/Gnome/Gnome.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome/Gnome.so
%{_mandir}/man3/Gnome.3pm*
%{_mandir}/man3/Gnome::reference.3pm*
%endif

%if %{with gnomeprint}
%files -n perl-gnome-Print
%defattr(644,root,root,755)
%{perl_vendorarch}/Gnome/Print.pm
%{perl_vendorarch}/Gnome/Print
%dir %{perl_vendorarch}/auto/Gnome/Print
%{perl_vendorarch}/auto/Gnome/Print/Print.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome/Print/Print.so
%{_mandir}/man3/Gnome::Print*
%endif

%if %{with applets}
%files -n perl-gnome-Applet
%defattr(644,root,root,755)
%{perl_vendorarch}/Gnome/Applet.pm
%{perl_vendorarch}/Gnome/Applet
%dir %{perl_vendorarch}/auto/Gnome/Applet
%{perl_vendorarch}/auto/Gnome/Applet/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome/Applet/*.so
%{_mandir}/man3/Gnome::Applet*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-gtk.spec,v $
Revision 1.94  2010/06/06 08:37:14  arekm
- release 12

Revision 1.93  2009/03/15 22:28:34  hawk
- make -j1, release 11

Revision 1.92  2009/03/14 12:07:16  hawk
- release 10

Revision 1.91  2008/11/16 11:52:55  arekm
- rel 9; gnome1 is obsolete in th

Revision 1.90  2008/10/15 19:32:45  agaran
- fixed BR, builds here on Ti

Revision 1.89  2008/02/23 22:06:42  glen
- release 8

Revision 1.88  2008-02-10 12:11:25  arekm
- rel 7

Revision 1.87  2008-01-10 08:38:43  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.86  2007-06-09 22:35:33  arekm
- rel 6; reenable everyhitng (ugh)

Revision 1.85  2007/06/09 22:33:06  arekm
- rel 5; reenable gnome (needed); disable gnome-print only

Revision 1.84  2007/06/09 22:23:35  arekm
- rel 4; fix bconds

Revision 1.83  2007/06/09 22:16:53  arekm
- disable gnome1

Revision 1.82  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.81  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.80  2006/11/09 20:57:28  glen
- strict internal deps

Revision 1.79  2004/11/03 22:30:57  paladine
- formatting

Revision 1.78  2004/10/25 08:49:34  paladine
- [Gg]tk+ -> GTK+

Revision 1.77  2004/08/12 21:20:53  ankry
- s/perl/Perl/

Revision 1.76  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.75  2004/05/07 00:32:06  ankry
- rel. 2

Revision 1.74  2004/05/06 17:57:01  ankry
- fixed perl-devel BR

Revision 1.73  2004/05/04 13:31:26  ankry
- tests added, license fix, cosmetics

Revision 1.72  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.71  2004/01/03 17:24:42  undefine
- dont' build applets by default - we don't have it in ai. seems to build on ac

Revision 1.70  2003/10/14 22:53:42  qboosh
- new style bconds
- _without_gnome doesn't disable gtkxmhtml again (use _without_gnomeall)
- gnome1/perl-gnome situation doesn't differ much from gtk+1/perl-gtk,
  gnome1 libs+devels alone shouldn't conflict with gnome2 stuff - so build
  perl-gnome by default too

Revision 1.69  2003/10/04 13:44:16  gotar
- unified bconds

Revision 1.68  2003/08/28 08:20:33  ankry
- cosmetics

Revision 1.67  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.66  2003/08/08 17:59:06  krzak
- default don't build against gnome1

Revision 1.65  2003/08/05 19:24:43  krzak
- without xmhtml if without gnome

Revision 1.64  2003/07/12 19:02:16  qboosh
- up to 0.7009
- updated gtkgl patch, removed obsolete perl5.8 patch, added inc patch

Revision 1.63  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.62  2003/05/25 06:25:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.61  2003/04/09 15:59:31  ankry
- rel. 15

Revision 1.60  2003/03/20 20:31:41  qboosh
- added perl5.8 patch (update Makefile.PLs for rules generated by new MakeMaker)
- BR: gtkglarea1-devel instead of gtkglarea-devel
- removed Provides which are autodetected by new rpm-perlprov (BR it)

Revision 1.59  2003/03/18 20:23:34  qboosh
- gtkxmhtml is separated from gnome-libs now;
  but doesn't build with perl 5.8 (MakeMaker problem?)

Revision 1.58  2003/03/01 22:43:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.57  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.56  2003/02/18 15:39:20  ankry
- massive attack: change CPAN URLs

Revision 1.55  2002/08/26 08:33:45  qboosh
- simplified: Provides in conditionally built subpackages can be unconditional

Revision 1.54  2002/08/25 19:33:00  ankry
- added 'Provides: perl(Gnome::Applet::Types)'- required with current perlprov
- release 13, STBR

Revision 1.53  2002/08/08 09:21:32  wiget
- control-center-devel is needed if build with applets

Revision 1.52  2002/08/07 10:51:08  qboosh
- added gnome-Applet package, release 12

Revision 1.51  2002/08/06 15:13:13  qboosh
- typo in %files

Revision 1.50  2002/08/03 17:58:45  qboosh
- fixed GtkGLArea.so linking

Revision 1.49  2002/08/03 15:05:13  qboosh
- splitted into more packages (gnome-like, basing on required libraries)
- _noautoreq replaced by Provides (*::Types* modules are provided, but
  perl.prov doesn't find them because of different names)
- enabled Gtk::XmHTML
- release 11.1 (please test, especially gnome-dependent subpackages)

Revision 1.48  2002/07/30 21:19:02  kloczek
- release 11.

Revision 1.47  2002/07/24 00:25:37  ankry
- fixed _without_gnome / _without_gnomeprint build
- added unrecognized Provides: perl(Gnome::Print::Types),
  perl(Gnome::Print::TypesLazy)
- new %doc
- cleaning
- release 10.3

Revision 1.46  2002/07/04 10:08:02  wiget
- added Gtk::Gdk::Pixbug, Gtk::GLArea, Gtk::GladeXML, Gnome::Print to %files (now bins-edit-gui work)
- release 10.2 (for test and maybe split to more subpackages)

Revision 1.45  2002/05/23 11:45:35  jajcus
- fixed build-requires and more complete build

Revision 1.44  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.43  2002/02/25 10:31:50  depesz
- cleanup; revision++

Revision 1.42  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/18 19:28:54  gotar
- %desc

Revision 1.40  2002/02/13 14:15:54  depesz
- automatic: Source location unified, Relase Up

Revision 1.39  2002/02/10 21:11:53  kloczek
- release 8.

Revision 1.38  2002/02/10 20:21:59  ankry
- added some (adapterized) Summary/descriptions from RH 7.2 (specpo)

Revision 1.37  2002/02/10 15:26:49  depesz
- adapterized

Revision 1.36  2002/02/09 12:59:38  depesz
- unified source path

Revision 1.35  2002/01/18 12:19:10  kloczek
- updated to 0.7008 (bugfix release),
- merge translations from Conectiva.

Revision 1.34  2002/01/18 02:14:34  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/05/22 09:06:50  wiget
- switch to new conditional build macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.32  2001/05/11 00:42:36  qboosh
- _without_gnome, added conditional BuildRequires for gnome-libs-devel
- BuildRequires: perl-XML-Parser, perl-XML-Writer

Revision 1.31  2001/04/30 16:05:28  kloczek
- added using %{rpmcflags} macro.

Revision 1.30  2001/04/30 15:05:11  baggins
- updated to 0.7006
- added perl-gnome package
- added typo fix patch

Revision 1.29  2001/04/17 12:18:52  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.28  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.27  2001/01/26 04:02:47  kloczek
- removed .packlist from %files and few cosmetics.

Revision 1.26  2001/01/25 22:33:45  mkochano
- Release 2.
- Rebuilt with perl-5.6.
- Uses new rpm automation.

Revision 1.25  2000/06/09 07:23:46  kloczek
- added using %{__make} macro.

Revision 1.24  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.23  2000/05/02 21:05:03  baggins
- fixed including macros

Revision 1.22  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.21  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.19  2000/01/01 23:00:45  kloczek
- new %description from Mandrake spec.

Revision 1.18  1999/11/29 23:47:52  wiget
- one more BuildRequires: rule

Revision 1.17  1999/11/26 14:50:07  wiget
- %include macros.perl

Revision 1.16  1999/09/15 00:06:31  wiget
- release 2

Revision 1.15  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.14  1999/08/28 12:10:09  wiget
- modified for perl 5.005_61

Revision 1.13  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.12  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
